// errortestthreadcontroller.h: Schnittstelle für die Klasse ErrorTestThreadController.
//
//////////////////////////////////////////////////////////////////////

#ifndef ERRORTESTTHREADCONTROLLER_H
#define ERRORTESTTHREADCONTROLLER_H

#include "threadcontroller.h"
#include "threadevent.h"

class ErrorTestThreadController : public ThreadController
{
public:
	ErrorTestThreadController( QList<AMCMirrorPanel>& p_qlPanels, QObject* p_pReceiver );
	virtual ~ErrorTestThreadController();

  void setNumLoops( int p_iLoops ) { m_iLoops = p_iLoops; }

protected:
	virtual void run();

private:
	uchar*	m_pData;
  int			m_iLoops;
};

#endif
